- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Add a comment to a Pull Request.
HTTP request
POST https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:addPullRequestComment
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the GitRepositoryLink in the format |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"pullRequestId": string,
"comment": {
object ( |
| Fields | |
|---|---|
pullRequestId |
Required. The ID of the Pull Request. |
comment |
Required. The comment to add. |
Response body
Message representing a SCM Pull Request Comment.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "id": string, "body": string, "author": string, "createTime": string, "updateTime": string } |
| Fields | |
|---|---|
id |
Output only. The ID of the comment. |
body |
Required. The body of the comment. |
author |
Output only. The username of the author. |
createTime |
Output only. When the comment was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. When the comment was updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
developerconnect.gitRepositoryLinks.addPullRequestComment
For more information, see the IAM documentation.